%define oname OpenJPEG

%define major 7
%define libname %mklibname openjp2_ %{major}
%define devname %mklibname %{name} -d

Summary:	An open-source JPEG 2000 codec
Name:		openjpeg2
Version:	2.1.2
Release:	4
License:	BSD
Group:		System/Libraries
Url:		http://www.openjpeg.org/
Source0:	https://github.com/uclouvain/openjpeg/archive/v%{version}.tar.gz?/openjpeg-%{version}.tar.gz
Patch0:		openjpeg2-2.1.2-CVE-2016-9572-9573.patch
Patch1:		openjpeg2-2.1.2-CVE-2016-9580-9581.patch
Patch2:		openjpeg-2.1.0-no-double-slash-in-pkgconfig.patch
BuildRequires:	png-devel
BuildRequires:	tiff-devel
BuildRequires:	lcms2-devel
BuildRequires:	cmake
BuildRequires:	doxygen

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%files
%doc AUTHORS.md NEWS.md README.md THANKS.md
%{_bindir}/*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	%{oname} shared library
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%files -n %{libname}
%{_libdir}/libopenjp2.so.%{major}
%{_libdir}/libopenjp2.so.%{version}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for programs using the %{oname} library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%files -n %{devname}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/libopenjp2.so
%{_libdir}/openjpeg-*/*.cmake
%{_libdir}/pkgconfig/libopenjp2.pc

#----------------------------------------------------------------------------

%prep
%setup -qn openjpeg-%{version}
%apply_patches

%build
%cmake \
	-DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
	-DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
	-DOPENJPEG_INSTALL_INCLUDE_DIR:PATH=%{_includedir} \
	-DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_libdir} \
	-DBUILD_DOC=ON
%make

%install
%makeinstall_std -C build

rm -rf %{buildroot}%{_docdir}

%changelog

* Sun Jan 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1.2-4
- (a624832) Merge branch 'rosa2016.1' into rosa2014.1


